Annonce

  •  » Installation
  •  » [Résolu] Problème avec upgrade de la version 1.73 à la version 2.03

#1 2009-08-09 15:43:51

dumy47
Membre
1970-01-01
9

[Résolu] Problème avec upgrade de la version 1.73 à la version 2.03

Bonjour,
Un problème avec l'upgrade de la version  1.73 à la version  2.03.
Voici les messages  d'erreurs:

Warning: include() [function.include]: Unable to access ./include/template.php in /mnt/102/sdb/8/2/dumy47/photos/upgrade.php on line 32

Warning: include(./include/template.php) [function.include]: failed to open stream: No such file or directory in /mnt/102/sdb/8/2/dumy47/photos/upgrade.php on line 32

Warning: include() [function.include]: Failed opening './include/template.php' for inclusion (include_path='/mnt/102/sdb/8/2/dumy47/include:.:/usr/php5/lib/php') in /mnt/102/sdb/8/2/dumy47/photos/upgrade.php on line 32

Fatal error: Class 'Template' not found in /mnt/102/sdb/8/2/dumy47/photos/upgrade.php on line 149

Bien sur je n'ai pas ce module php dans include : template.php


Je suis hébergé par free :
versions:
- PHP Version 5.1.3RC4-dev
- Mysql Client API version     5.0.77

contenu de mysql.inc.php
<?php
$cfgBase = 'xxxxxxx';      x : remplaçant la vrai valeur
$cfgUser = 'xxxxxxx';
$cfgPassword = 'xxxxxxxx';
$cfgHote = 'localhost';

$prefixeTable = 'phpwebgallery_';

define('PHPWG_INSTALLED', true);
?>
Pouvez-vous m'expliquer ce que devrait contenir le fichier  template.php du répertoire include  et  m'aider a résoudre ce problème ?

Merci pour votre aide.

Hors ligne

#2 2009-08-09 18:11:18

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
15686

Re: [Résolu] Problème avec upgrade de la version 1.73 à la version 2.03

je dirais erreur de transfert FTP

1/ recommencer le transfert FTP

2/ relancer upgrade


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#3 2009-08-09 19:29:03

dumy47
Membre
1970-01-01
9

Re: [Résolu] Problème avec upgrade de la version 1.73 à la version 2.03

C'était bien une erreur de transfert; j'ai renvoyé une première fois à partir de l'archive que j'avais dezippée même résultat. J'ai donc tout recommencé à partir de la récupération du package. Cette fois-ci fonctionnement correct. Puis fenêtre avec message plugins désactivés puis j'ai cliqué sur accueil et la oh surprise il me propose un panneau d'installation ! Que dois-je faire ?
J'ai vérifié avec Phpmyadmin toute mes données ont l'air présentes
et dans la table upgrade on trouve bien les modifs
id     applied     description
    Modifier     Effacer     61     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] Add unique index o...
    Modifier     Effacer     62     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] Add obligatory_use...
    Modifier     Effacer     63     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] Add #user_infos.le...
    Modifier     Effacer     64     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] Activation of c13_...
    Modifier     Effacer     65     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] PWG charset migrat...
    Modifier     Effacer     66     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] Add c13y_ignore co...
    Modifier     Effacer     67     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] Uninstall dew plug...
    Modifier     Effacer     68     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] Change type from t...
    Modifier     Effacer     69     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] Move #categories.d...
    Modifier     Effacer     70     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] Add upload config
    Modifier     Effacer     71     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] Delete unnecessary...
    Modifier     Effacer     72     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] Add extents_for_te...
    Modifier     Effacer     73     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] Add #user_cache.ca...
    Modifier     Effacer     74     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] Add blk_menubar co...
    Modifier     Effacer     75     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] DROP TABLE IF EXIS...
    Modifier     Effacer     76     2009-08-09 18:42:36     [migration from 1.7.0 to 2.0.3] ALTER TABLE phpweb...
    Modifier     Effacer     77     2009-08-09 18:42:37     [migration from 1.7.0 to 2.0.3] images.file catego...
    Modifier     Effacer     78     2009-08-09 18:42:37     [migration from 1.7.0 to 2.0.3] ALTER TABLE phpweb...
    Modifier     Effacer     79     2009-08-09 18:42:37     [migration from 1.7.0 to 2.0.3] Update default tem...
Si je continue cette procédure d'install ne va-t-il pas tout effacer? Il me redemande toutes les informations comme pour créer de nouvelles tables.
Merci pour votre compréhension

Hors ligne

#4 2009-08-09 20:31:40

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
15686

Re: [Résolu] Problème avec upgrade de la version 1.73 à la version 2.03

Tu as du supprimer le fichier include/mysql.inc.php

<?php
$cfgBase = 'nom d'utilisateur free';
$cfgUser = 'nom d'utilisateur free';
$cfgPassword = '***';
$cfgHote = 'http://sql.free.fr';

$prefixeTable = 'piwigo_';

define('PHPWG_INSTALLED', true);
define('PWG_CHARSET', 'utf-8');
define('DB_CHARSET', 'utf8');
define('DB_COLLATE', '');

?>


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#5 2009-08-09 23:45:44

dumy47
Membre
1970-01-01
9

Re: [Résolu] Problème avec upgrade de la version 1.73 à la version 2.03

Bonsoir,
Mon fichier  include/mysql.inc.php était bien présent mais dans la version citée dans mon premier message.
J'ai arrêté la tentative d'installation et j'ai essayé de me connecter.
J'obtenais des messages d'erreurs sur PWG_CHARSET et DB_CHARSET.
Comme dans ton dernier message tu avais 3 lignes avec le define de ces valeurs dans le fichier include/mysql.inc.php je les ai rajoutées et tout fonctionne parfaitement.
Merci pour ton aide précieuse.
Cordialement.
Michel

Hors ligne

#6 2009-08-09 23:47:29

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
15686

Re: [Résolu] Problème avec upgrade de la version 1.73 à la version 2.03

:-) si cela fonctionne

Merci de passer le topic en résolue


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

  •  » Installation
  •  » [Résolu] Problème avec upgrade de la version 1.73 à la version 2.03

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2021 · Contact